Download it now!
Bug 61801 - crash on Tools - Options - LibreOffice - Personalization - Select Background Image
Summary: crash on Tools - Options - LibreOffice - Personalization - Select Background ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-04 16:28 UTC by Ivan Timofeev (retired)
Modified: 2013-03-06 17:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Timofeev (retired) 2013-03-04 16:28:00 UTC
gdb output:

terminate called after throwing an instance of 'com::sun::star::lang::IllegalArgumentException'

Program received signal SIGABRT, Aborted.
0xb7fdd424 in __kernel_vsyscall ()
(gdb) bt
#0  0xb7fdd424 in __kernel_vsyscall ()
#1  0xb7b501df in __GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0xb7b53825 in __GI_abort () at abort.c:91
#3  0xb7dc313d in __gnu_cxx::__verbose_terminate_handler() ()
   from /usr/lib/i386-linux-gnu/libstdc++.so.6
#4  0xb7dc0ed3 in ?? () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#5  0xb7dc0f0f in std::terminate() ()
   from /usr/lib/i386-linux-gnu/libstdc++.so.6
#6  0xb7dc10b4 in __cxa_rethrow () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#7  0xa3f76f58 in com::sun::star::ui::dialogs::FilePicker::createDefault (
    the_context=uno::Reference to (XInterface) 0xaf33d2e0)
    at /home/ivan/libo/master/solver/unxlngi6/inc/offapi/com/sun/star/ui/dialogs/FilePicker.hpp:31
#8  0xa3f75404 in SvxPersonalizationTabPage::SelectBackground (this=0x8ac92e0)
    at /home/ivan/libo/master/cui/source/options/personalization.cxx:214

I think it's related to commit 4b51374a7021d52f7f1be1861e2ee6a011b30ecd "fdo#46808, Adapt ui::dialogs::FilePicker UNO service to new style" 

Noel, can you have a look please?
Comment 1 Julien Nabet 2013-03-04 18:01:50 UTC
On pc Debian x86-64 with master sources updated yesterday, I reproduced the problem.
Comment 2 Noel Grandin 2013-03-05 09:42:56 UTC
Fix for this submitted to gerrit, awaiting review
https://gerrit.libreoffice.org/#/c/2553/
Comment 3 Commit Notification 2013-03-05 16:16:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3554b3653049cb8fffa2a56ca0c9a2d8e972f5ec

fix for fdo#61801



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Ivan Timofeev (retired) 2013-03-06 17:52:18 UTC
It works, thank you very much!